summaryrefslogtreecommitdiffstats
path: root/testing/ajaxterm/ajaxterm.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/ajaxterm/ajaxterm.initd')
-rw-r--r--testing/ajaxterm/ajaxterm.initd21
1 files changed, 21 insertions, 0 deletions
diff --git a/testing/ajaxterm/ajaxterm.initd b/testing/ajaxterm/ajaxterm.initd
new file mode 100644
index 000000000..f09b9b429
--- /dev/null
+++ b/testing/ajaxterm/ajaxterm.initd
@@ -0,0 +1,21 @@
+#!/sbin/runscript
+
+depend()
+{
+ need net
+}
+
+start()
+{
+ ebegin "Starting AjaxTerm on port $PORT"
+ start-stop-daemon --start --pidfile $PIDFILE --exec $DAEMON -- --daemon --port=$PORT --uid=nobody
+ eend $?
+}
+
+stop()
+{
+ ebegin "Stopping AjaxTerm"
+ start-stop-daemon --stop --pidfile $PIDFILE
+ rm -f $PIDFILE
+ eend $?
+}